{
    attributes = (
        {
            columnName = "ADR_ORDRE"; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "E_MAIL"; 
            externalType = VARCHAR2; 
            name = eMail; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "RPA_PRINCIPAL"; 
            externalType = VARCHAR2; 
            name = rpaPrincipal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RPA_VALIDE"; 
            externalType = VARCHAR2; 
            name = rpaValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TADR_CODE"; 
            externalType = VARCHAR2; 
            name = tadrCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }
    ); 
    attributesUsedForLocking = (persId, adrOrdre, eMail, rpaPrincipal, rpaValide, tadrCode); 
    className = "org.cocktail.application.serveur.eof.EORepartPersonneAdresse"; 
    classProperties = (eMail, rpaPrincipal, rpaValide, dCreation, dModification, adresse, tadrCode); 
    externalName = "grhum.REPART_PERSONNE_ADRESSE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (eMail, rpaPrincipal, rpaValide, dCreation, dModification, adresse, tadrCode); 
        "_javaClientClassName" = "org.cocktail.application.client.eof.EORepartPersonneAdresse"; 
    }; 
    isReadOnly = Y; 
    name = "ca_RepartPersonneAdresse"; 
    primaryKeyAttributes = (tadrCode, persId, adrOrdre); 
    relationships = (
        {
            destination = "ca_Adresse"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrOrdre; }); 
            name = adresse; 
        }
    ); 
}
